namespace InvoiceManagerWeb.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class InitialCreate : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "dbo.Invoices",
                c => new
                    {
                        ID = c.Int(nullable: false, identity: true),
                        Name = c.String(),
                        Created = c.DateTime(nullable: false),
                        DueDate = c.DateTime(nullable: false),
                        Paid = c.Boolean(nullable: false),
                        Subscriber_ID = c.Int(),
                        Supplier_ID = c.Int(),
                    })
                .PrimaryKey(t => t.ID)
                .ForeignKey("dbo.People", t => t.Subscriber_ID)
                .ForeignKey("dbo.People", t => t.Supplier_ID)
                .Index(t => t.Subscriber_ID)
                .Index(t => t.Supplier_ID);
            
            CreateTable(
                "dbo.People",
                c => new
                    {
                        ID = c.Int(nullable: false, identity: true),
                        Name = c.String(),
                        Surname = c.String(),
                        BankAccount = c.String(),
                        TaxId = c.String(),
                        Street = c.String(),
                        Nr = c.Int(nullable: false),
                        PostCode = c.Int(nullable: false),
                    })
                .PrimaryKey(t => t.ID);
            
        }
        
        public override void Down()
        {
            DropIndex("dbo.Invoices", new[] { "Supplier_ID" });
            DropIndex("dbo.Invoices", new[] { "Subscriber_ID" });
            DropForeignKey("dbo.Invoices", "Supplier_ID", "dbo.People");
            DropForeignKey("dbo.Invoices", "Subscriber_ID", "dbo.People");
            DropTable("dbo.People");
            DropTable("dbo.Invoices");
        }
    }
}
