﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using System.Data.Entity;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;
using System.ComponentModel;

namespace InvoiceManagerWeb.Models
{
    /// <summary>
    /// Datová třída reprezentující položku
    /// </summary>
    public class Item
    {
        /// <value>
        /// ID položky
        /// </value>
        [Display(Name = "ID")]
        public int ID { get; set; }

        /// <value>
        /// Slovní popis účtované služby
        /// </value>
        [Display(Name = "Název/popis")]
        public String Description { get; set; }

        /// <value>
        /// Počet jednotek služby
        /// </value>
        [Display(Name = "Množství")]
        public int Quantity { get; set; }

        private int pricePerQ;
        /// <value>
        /// Cena za jednotku služby
        /// </value>
        [Display(Name = "Cena za jednotku")]
        public int PricePerQ {
            get { return pricePerQ; }
            set {
                pricePerQ = value;
                price = pricePerQ * Quantity;
            }
        }

        private int price;
        /// <value>
        /// Cena za celou službu
        /// </value>
        [Display(Name = "Cena celkem")]
        public int Price {
            get { return price; }      
        }

        /// <summary>
        /// Metoda vytvoří list pro možnost výběru položky z DropDownListu
        /// </summary>
        public static SelectList createList()
        {
            ItemContext db = new ItemContext();
            List<Item> seznam = new List<Item>();
            seznam.Add(null);
            seznam.AddRange(db.Items);

            return new SelectList(seznam, "ID", "Description");
        }
    }

    /// <summary>
    /// Databázový kontext pro položky
    /// </summary>
    public class ItemContext : DbContext
    {
        public DbSet<Item> Items { get; set; }
    }
}